{
  "format_version": "1.10.0",
  "minecraft:attachable": {
    "description": {
      "identifier": "sg_vtng:iron_hand_drill",
      "materials": {
        "default": "entity_alphatest",
        "enchanted": "entity_alphatest_glint"
      },
      "textures": {
        "default": "textures/sg/vtng/entity/iron_hand_drill",
        "enchanted": "textures/misc/enchanted_item_glint"
      },
      "geometry": {
        "default": "geometry.sg_vtng.hand_drill"
      },
      "animations": {
        "controller": "controller.animation.sg_vtng.tool.using",
        "idle": "animation.sg_vtng.drill.idle",
        "first_person": "animation.sg_vtng.drill.hold_1rd",
        "third_person": "animation.sg_vtng.drill.hold_3rd",
        "using": "animation.sg_vtng.drill.dig"
      },
      "scripts": {
        "animate": [
          "controller",
          {"first_person": "c.is_first_person"},
          {"third_person": "!c.is_first_person"}
        ]
      },
      "render_controllers": [ "controller.render.item_default" ]
    }
  }
}
